#include <stdio.h>          /* Schleifen - for - Tabelle */
 
/* 9.3 Berechnen Sie, wie sich ein Sparguthaben von 10.000 EUR bei unterschied-
lichen Zinssätzen (0.5% bis 10%) im Verlauf von 10 Jahren entwickelt!
Das Guthaben je Jahr und Zinssatz ist auszugeben!
----------------------------------------------------------------------------- */
/* geg.: kap= 10.000; Jahre= 1, 2, ..., 10; zins= 0.5% 1%, 1.5%, ... 10%
  ges.: Tabelle: Zeilen = Zinssätze, Spalten = Jahre, dazw.das jeweilige
        Kapital nach n Jahren bei z Zinsen
 Lsg.:  nach je 1 Jahr: kapital(neu) = kapital(alt) + kapital(alt)* zinssatz
        Überschrift
        Tabellenkopf
        dann Schleife: zins= 0.005, 0.010, 0.015, ..., 0.1001
                kap=Anfangswert
                Schleife: jahr=1, 2, ..., 10
                          berechne Kapital nach je 1 Jahr
                          anzeigen in der Zeile, nächstes Jahr
                neue Zeile, nächster Zinssatz

Hinw.: zins bis 0.1001, weil bei 0.1 die Werte fuer 10% evtl. nicht mehr
       ausgegeben werden.
------------------------------------------------------------------------------*/
main()
{  int jahr;   float kap, zins;

   printf("\n Kapitalentwicklung im Verlauf von 10 Jahren: \n zins");

   for( jahr=1; jahr<=10;  jahr++) printf("%7i", jahr);       /* Tabellenkopf */

   printf("\n");

   for( zins= 0.005; zins<= 0.10001; zins= zins+ 0.005)    /* Zinsentwicklung */
   {
       printf("%5.1f%%", zins*100);                          /* Zinssatz in % */

       kap= 10000;                                          /* Anfangskapital */

       for( jahr=1; jahr<=10; jahr++)                                /* Jahre */
       {
           kap= kap+ kap* zins;                         /* Kapitalentwicklung */

           printf("%7.0f", kap);
       }
       printf("\n");                             /* nächste Zeile der Tabelle */
   }
   system("PAUSE");   
}/* --------------------------------------------------------------------------*/
